function writeMatrixSparse(A, matrixName)
    [m n] = size(A);
    [rows cols vals] = find(A);
    nz = length(vals);

    fid = fopen(matrixName, 'wb');   %open file
    fwrite(fid, m, 'int32');
    fwrite(fid, n, 'int32');
    fwrite(fid, nz, 'int32');
    fwrite(fid, rows-1, 'int32');      %read in the data
    fwrite(fid, cols-1, 'int32');      %read in the data
    fwrite(fid, vals, 'double');     %read in the data
    fclose(fid);                     %close file
    
end