function A = loadMatrixSparse(matrixName)
    fid = fopen(matrixName, 'rb');   %open file
    m = fread(fid, 1, 'int32');
    n = fread(fid, 1, 'int32');
    nz = fread(fid, 1, 'int32');
    rows = fread(fid, nz, 'int32');      %read in the data
    cols = fread(fid, nz, 'int32');      %read in the data
    vals = fread(fid, nz, 'double');     %read in the data
    fclose(fid);                         %close file
    
    A = sparse(rows+1, cols+1, vals, m, n); 
end