#include <stdio.h>
#include <vector>
#include <assert.h>
#include <string.h>
#include <stdlib.h>
#include <sstream>
#include <fstream>
#include <sys/types.h>
#include <dirent.h>
#include <iostream>
#include <stdlib.h>
#include <sys/stat.h>


#ifndef __FileManagement_H
#define __FileManagement_H

#include "VKStringList.h"

class FileManagement
{
	public:
		static bool DirExists(const char * dirName);
		static bool FileExists(const char * filename);
		static bool CreateDirsOnPath(const char * filename);
		static bool CreateDirsOnPathToFile(const char * filename);
		static void ExecuteBashScript(const char * scriptContent);
		static void WaitForFile(const char * fileName, 
								int checkEveySeconds, 
								int maxSeconds);
		
		static VKStringList ListSubdirsAndFiles(const char * dirName, 
												bool file, bool dir);
		static VKStringList ListAllFiles(const char * dirName);
		static VKStringList ListAllSubdirs(const char * dirName);

};

#endif

