/***************************************************************************
 *   Copyright (C) 2008 by Vladimir Kim									   *
 *   Author: Vladimir Kim (vk@princeton.edu)							   *
 ***************************************************************************/

#ifndef __OpenGLHeaders_H
#define __OpenGLHeaders_H

#ifdef __APPLE__
#		include <OpenGL/gl.h>
#		include <OpenGL/glu.h>
#		include <OpenGL/glext.h>
#else
#		define GL_GLEXT_PROTOTYPES
#		include <GL/gl.h>
#		include <GL/glu.h>
#		include <GL/glext.h>
#endif

#ifdef GLUT_RENDERING
#	ifdef __APPLE__
#		include <GLUT/glut.h>
#	else
#		include <GL/glut.h>
#	endif
#endif

#ifdef MESA_RENDERING		// see: http://www.mesa3d.org/osmesa.html
#	include "GL/osmesa.h"
#endif

#include "gaps.h"

#endif

